%define anolis_release 2
%global base_version 3.13

Name:           perl-libnet
Version:        3.14
Release:        %{anolis_release}%{?dist}
Summary:        Perl clients for various network protocols
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/libnet
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/libnet-%{base_version}.tar.gz
BuildArch:      noarch

Patch0:         libnet-3.08-Do-not-create-Net-libnet.cfg.patch
Patch1:         libnet-3.13-Upgrade-to-3.14.patch

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(strict) perl(warnings) perl(constant) perl(Carp)
BuildRequires:  perl(Config) perl(Errno) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Fcntl) perl(FileHandle)
BuildRequires:  perl(File::Temp) perl(IO::File) perl(IO::Select)
BuildRequires:  perl(IO::Socket) >= 1.05 perl(IO::Socket::IP) >= 0.25
BuildRequires:  perl(POSIX) perl(Symbol) perl(Socket) >= 2.016
BuildRequires:  perl(Time::Local) perl(Test::More)
BuildRequires:  perl(Cwd)

Requires:       perl(File::Basename) perl(IO::Socket) >= 1.05 perl(IO::Socket::IP) >= 0.25
Requires:       perl(POSIX) perl(Socket) >= 2.016 perl(Digest::MD5)
Conflicts:      perl < 4:5.22.0-347

%description
This is a collection of Perl modules which provides a simple and
consistent programming interface (API) to the client side of various
protocols used in the internet community.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n libnet-%{base_version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 INSTALLDIRS=vendor </dev/null
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%make_build test

%files
%license Artistic Copying LICENCE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README Changes

%changelog
* Fri Apr 14 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.14-2
- Optimize the spec file

* Fri Feb 10 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.14-1
- update to version 3.14

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.13-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.13-2
- rebuild with perl 5.36.0

* Thu Mar 10 2022 liuzhilin <liuzhilin@uniontech.com> - 3.13-1
- Init for Anolis OS 23
